Subject: 68040 Support?

From: [email-masked]
Date: Sun, 17 Oct 1993 12:00:02 -0400 (EDT)

How is the work on 68040 support going?  I finally got my A4000 set up, so
now I'm anxious to be able to run NetBSD :)

Tom Hayko
[email-masked]

---

From: William J. Coldwell <[email-masked]>

From: [email-masked]
>now I'm anxious to be able to run NetBSD :)

It's not the 040 support that you're gonna have to wait for, it's more like an  
IDE driver so you can actually boot it :-/.

Bill

---

From: [email-masked] (Michael L. Hitch)

> IDE driver so you can actually boot it :-/.

  Another thing would be the real time clock - what address is it at and
how is it accessed (there are currently two different clocks defined in
NetBSD - one for the A3000, and one for the A2000).  Another thing needed
is how to detect that the machine is an A4000 instead of an A3000 or A2000.

Michael

---

From: [email-masked] (Markus Wild)

> is how to detect that the machine is an A4000 instead of an A3000 or A2000.

Side note: I think the A2000 clock code should work on A500 derivates too, no
confirmations yet though. The problem is very generic: how do you identify
whether you're running:
 - A500:	- may have builtin clock, must have external scsi
		- '20, '30, '40 ?
 - A1200:	- may have external scsi (must, until there's IDE support)
		  has (?) builtin clock
		- '30, '40 
 - A2000:	- always has builtin clock, must have external scsi
		- '20, '30, '40 ?
 - A3000:	- builtin clock, builtin scsi
		- '30, '40
 - A4000:	- builtin clock, may have builtin scsi (T), perhaps IDE
		- '30 (?), '40
 
So the problem is obviously not done by identifying the cpu to deduce
the model. The problem with probing for certain builtin devices is that
in models not shipped with chips at address XYZ, some other memory
bank may be mirrored in that area (custom chips come to mind...), and 
then reading/writing certain locations could be fatal. 

Does any hardware guru have some code that uniquely identifies the used
amiga model? I'd very much prefer solutions not requiring access to
amigados datastructures, ie. one that should do the identification from
the kernel, not pass it into the kernel via loadbsd.

-Markus
-- 
CHUUG/EUnet Switzerland				Markus Wild
Zweierstrasse 35	Tel: +41 1 291 45 80	[email-masked]
CH-8004 Zuerich		Fax: +41 1 291 46 42	S=mw;P=EUnet;A=EUnet;C=CH